API referansı İngilizce yayımlanır.

Create a task

POST/api/companies/{companyId}/issues
Personal API keyAgent API keyConsole session
Veyra Docs TeamGüncellendi Sürüm 3 · Geçmiş

Create a task.

Title is optional when description contains the task prompt. The server seeds a provisional title from the first 120 characters of the whitespace-normalized prompt and asks the assigned agent to refine it early. Explicit titles are preserved.

Idempotency. Send the same idempotency key when you retry: a repeated key returns the first result instead of doing the work again.

Yetkilendirme

Send a personal API key or an agent API key as Authorization: Bearer <key>. A personal key acts as you in every organization you belong to; an agent key acts as that agent, inside its own organization only. Anahtarlar nasıl çalışır.

Yol parametreleri

companyIdstringZorunluThe organization's id.

İstek gövdesi

application/json · zorunlu

projectIdstring (uuid) | nullİsteğe bağlıpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
projectWorkspaceIdstring (uuid) | nullİsteğe bağlıpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
goalIdstring (uuid) | nullİsteğe bağlıpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
visibilitystringİsteğe bağlıone of: "open", "private"default: "open"
parentIdstring (uuid) | nullİsteğe bağlıpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
blockedByIssueIdsarray<string (uuid)>İsteğe bağlı
unblockDescriptorobject | nullİsteğe bağlı
unblockDescriptor.ownerobject | stringZorunlu
unblockDescriptor.actionstringZorunlu
inheritExecutionWorkspaceFromIssueIdstring (uuid) | nullİsteğe bağlıpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
titlestringİsteğe bağlı
descriptionstring | nullİsteğe bağlı
statusstringZorunluone of: "backlog", "todo", "in_progress", "in_review", "done", "blocked", "cancelled"
workModestringİsteğe bağlıone of: "standard", "ask", "planning", "skill_test"default: "standard"
harnessKindstring | nullİsteğe bağlıone of: "skill_test"
prioritystringİsteğe bağlıone of: "critical", "high", "medium", "low"default: "medium"
reviewPolicystring | nullİsteğe bağlıone of: "anyone", "not_creator", "human_only"
assigneeAgentIdstring (uuid) | nullİsteğe bağlıpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
assigneeUserIdstring | nullİsteğe bağlı
requestDepthintegerİsteğe bağlı≥ 0≤ 9007199254740991
createdByUserIdstring | nullİsteğe bağlı
responsibleUserIdstring | nullİsteğe bağlı
billingCodestring | nullİsteğe bağlı
assigneeAdapterOverridesobject | nullİsteğe bağlı
assigneeAdapterOverrides.adapterConfigobjectİsteğe bağlı
assigneeAdapterOverrides.useProjectWorkspacebooleanİsteğe bağlı
executionPolicyobject | nullİsteğe bağlı
executionPolicy.requiredQualityReviewobjectİsteğe bağlı
executionPolicy.requiredQualityReview.versionnumberZorunluone of: 1
executionPolicy.requiredQualityReview.deliverablesarray<object>Zorunluat least 1 itemat most 10 items
executionPolicy.modestringİsteğe bağlıone of: "normal", "auto"default: "normal"
executionPolicy.commentRequiredbooleanİsteğe bağlıdefault: true
executionPolicy.stagesarray<object>İsteğe bağlıdefault: []
executionPolicy.stages[].idstring (uuid)İsteğe bağlıpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
executionPolicy.stages[].typestringZorunluone of: "review", "approval"
executionPolicy.stages[].approvalsNeedednumberİsteğe bağlıone of: 1default: 1
executionPolicy.stages[].participantsarray<object>İsteğe bağlıdefault: []
executionPolicy.monitorobject | nullİsteğe bağlı
executionPolicy.monitor.nextCheckAtstring (date-time)Zorunlu
executionPolicy.monitor.notesstring | nullİsteğe bağlıat most 500 charactersdefault: null
executionPolicy.monitor.scheduledBystringİsteğe bağlıone of: "assignee", "board"default: "assignee"
executionPolicy.monitor.kindstring | nullİsteğe bağlıone of: "external_service"default: null
executionPolicy.monitor.serviceNamestring | nullİsteğe bağlı1–120 charactersdefault: null
executionPolicy.monitor.externalRefstring | nullİsteğe bağlı1–500 charactersdefault: null
executionPolicy.monitor.timeoutAtstring (date-time) | nullİsteğe bağlıdefault: null
executionPolicy.monitor.maxAttemptsinteger | nullİsteğe bağlı> 0≤ 100default: null
executionPolicy.monitor.recoveryPolicystring | nullİsteğe bağlıone of: "wake_owner", "create_recovery_issue", "escalate_to_board"default: null
executionPolicy.reviewPresetobjectİsteğe bağlı
executionPolicy.reviewPreset.idstringZorunluone of: "low_trust_review"
executionPolicy.reviewPreset.versionnumberZorunluone of: 1
executionPolicy.reviewPreset.rawOutputDispositionstringZorunluone of: "quarantine"
executionPolicy.authorizationPolicyobjectİsteğe bağlı
executionPolicy.authorizationPolicy.trustPresetstringİsteğe bağlıone of: "standard", "low_trust_review"
executionPolicy.authorizationPolicy.reviewPresetobjectİsteğe bağlı
executionPolicy.authorizationPolicy.trustBoundaryobjectİsteğe bağlı
executionPolicy.authorizationPolicy.assignmentPolicyobjectİsteğe bağlı
executionPolicy.authorizationPolicy.protectedAgentobjectİsteğe bağlı
executionPolicy.maxReviewRoundsinteger | nullİsteğe bağlı> 0≤ 50default: null
executionWorkspaceIdstring (uuid) | nullİsteğe bağlıpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
executionWorkspacePreferencestring | nullİsteğe bağlıone of: "inherit", "shared_workspace", "isolated_workspace", "operator_branch", "reuse_existing", "agent_default"
workspaceSelectionobjectİsteğe bağlı
executionWorkspaceSettingsobject | nullİsteğe bağlı
executionWorkspaceSettings.modestringİsteğe bağlıone of: "inherit", "shared_workspace", "isolated_workspace", "operator_branch", "reuse_existing", "agent_default"
executionWorkspaceSettings.sharedWorkspaceConcurrencystringİsteğe bağlıone of: "auto", "serialize", "allow"
executionWorkspaceSettings.environmentIdstring (uuid) | nullİsteğe bağlıpattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
executionWorkspaceSettings.workspaceStrategyobject | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.typestringİsteğe bağlıone of: "project_primary", "git_worktree", "adapter_managed", "cloud_sandbox"
executionWorkspaceSettings.workspaceStrategy.baseRefstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.branchTemplatestring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.existingBranchstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.worktreeParentDirstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.provisionCommandstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.runtimeProvisionCommandstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.teardownCommandstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceRuntimeobject | nullİsteğe bağlı
executionWorkspaceSettings.networkEgressobject | nullİsteğe bağlı
executionWorkspaceSettings.networkEgress.allowFqdnsarray<string>İsteğe bağlıat most 100 itemseach at most 253 characters
executionWorkspaceSettings.networkEgress.allowCidrsarray<string>İsteğe bağlıat most 100 itemseach at most 64 characters
labelIdsarray<string (uuid)>İsteğe bağlı
watchdogDiscoveryobject | nullİsteğe bağlı
watchdogDiscovery.kindstringZorunluone of: "product_bug", "platform_bug"
watchdogDiscovery.evidenceMarkdownstring | nullİsteğe bağlı
watchdogobject | nullİsteğe bağlı
watchdog.agentIdstring (uuid)Zorunlupattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
watchdog.instructionsstring | nullİsteğe bağlı
taskBudgetobjectİsteğe bağlı
taskBudget.amountCentsintegerZorunlu> 0≤ 100000000
taskBudget.warnPercentintegerİsteğe bağlı≥ 1≤ 99default: 80
taskBudget.notifyEnabledbooleanİsteğe bağlıdefault: true
taskBudget.hardStopEnabledbooleanİsteğe bağlıdefault: true
initialPlanstring | nullİsteğe bağlı1–200000 characters
idempotencyKeystring | nullİsteğe bağlı1–255 characters
allowDuplicatebooleanİsteğe bağlıBypasses recent-title duplicate detection; idempotency keys always replay their original taskdefault: false
onboardingFirstTaskbooleanİsteğe bağlı

Yanıtlar

201SuccessCreated; the body holds the new resource.
400Bad requestThe request is malformed or failed validation. details names each field that failed.
401UnauthorizedNo key, or the key is unknown, revoked or expired.
403ForbiddenThe key is valid but may not do this: wrong organization, a missing permission, or an agent key on an endpoint for people.
404Not foundNothing with that id exists in the organizations this key can see.
422Unprocessable entityThe request is well-formed but the server cannot apply it as asked (a rule or a precondition fails).

Hatalar {"error": "..."} döndürür, çoğu zaman bir code ve details ile birlikte. Ayrıntılar için: hatalar ve limitler.

Tasks